// Customerset.cpp : implementation file
//

#include "stdafx.h"
#include "CGIDB.h"
#include "Customerset.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustomerset

IMPLEMENT_DYNAMIC(CCustomerset, CRecordset)

CCustomerset::CCustomerset(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CCustomerset)
	m_CustomerID = 0;
	m_CompanyName = _T("");
	m_ContactFirstName = _T("");
	m_ContactLastName = _T("");
	m_BillingAddress = _T("");
	m_City = _T("");
	m_StateOrProvince = _T("");
	m_PostalCode = _T("");
	m_Country = _T("");
	m_ContactTitle = _T("");
	m_PhoneNumber = _T("");
	m_FaxNumber = _T("");
	m_EmailAddress = _T("");
	m_Notes = _T("");
	m_LevelOfExperience = _T("");
	m_nFields = 15;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CCustomerset::GetDefaultConnect()
{
	return _T("ODBC;DSN=CGIDB");
}

CString CCustomerset::GetDefaultSQL()
{
	return _T("[Customers]");
}

void CCustomerset::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CCustomerset)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[CustomerID]"), m_CustomerID);
	RFX_Text(pFX, _T("[CompanyName]"), m_CompanyName);
	RFX_Text(pFX, _T("[ContactFirstName]"), m_ContactFirstName);
	RFX_Text(pFX, _T("[ContactLastName]"), m_ContactLastName);
	RFX_Text(pFX, _T("[BillingAddress]"), m_BillingAddress);
	RFX_Text(pFX, _T("[City]"), m_City);
	RFX_Text(pFX, _T("[StateOrProvince]"), m_StateOrProvince);
	RFX_Text(pFX, _T("[PostalCode]"), m_PostalCode);
	RFX_Text(pFX, _T("[Country]"), m_Country);
	RFX_Text(pFX, _T("[ContactTitle]"), m_ContactTitle);
	RFX_Text(pFX, _T("[PhoneNumber]"), m_PhoneNumber);
	RFX_Text(pFX, _T("[FaxNumber]"), m_FaxNumber);
	RFX_Text(pFX, _T("[EmailAddress]"), m_EmailAddress);
	RFX_Text(pFX, _T("[Notes]"), m_Notes);
	RFX_Text(pFX, _T("[LevelOfExperience]"), m_LevelOfExperience);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CCustomerset diagnostics

#ifdef _DEBUG
void CCustomerset::AssertValid() const
{
	CRecordset::AssertValid();
}

void CCustomerset::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
