#if !defined(AFX_CUSTOMERSET_H__D37B455F_1D1E_11D3_9E1D_080009EE62AA__INCLUDED_)
#define AFX_CUSTOMERSET_H__D37B455F_1D1E_11D3_9E1D_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Customerset.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCustomerset recordset

class CCustomerset : public CRecordset
{
public:
	CCustomerset(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CCustomerset)

// Field/Param Data
	//{{AFX_FIELD(CCustomerset, CRecordset)
	long	m_CustomerID;
	CString	m_CompanyName;
	CString	m_ContactFirstName;
	CString	m_ContactLastName;
	CString	m_BillingAddress;
	CString	m_City;
	CString	m_StateOrProvince;
	CString	m_PostalCode;
	CString	m_Country;
	CString	m_ContactTitle;
	CString	m_PhoneNumber;
	CString	m_FaxNumber;
	CString	m_EmailAddress;
	CString	m_Notes;
	CString	m_LevelOfExperience;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCustomerset)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMERSET_H__D37B455F_1D1E_11D3_9E1D_080009EE62AA__INCLUDED_)
