// CGIDB.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "customerset.h"
#include "CGIDB.h"

#include <stdlib.h>
#include <string.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

using namespace std;

void ListCustomer( const char* State, const char* OrderBy )
{
	CCustomerset Tmp;

	if( State && *State )
		Tmp.m_strFilter.Format( "StateOrProvince='%s'", State );
	if( OrderBy && *OrderBy )
		Tmp.m_strSort = OrderBy;

	Tmp.Open();
	if( Tmp.IsEOF() )
		cout << "No records found<BR>" << endl;
	else
	{
		while( Tmp.IsEOF() == FALSE )
		{
			cout << (LPCSTR)Tmp.m_CompanyName << ": ";
			cout << (LPCSTR)Tmp.m_ContactLastName << ", ";
			cout << (LPCSTR)Tmp.m_ContactFirstName;
			cout <<  " STATE: " << (LPCSTR)Tmp.m_StateOrProvince << "<BR>" << endl;
			Tmp.MoveNext();
		}
	}
}

char InputData[4096];

void GetAllParams()
{
	if( getenv( "REQUEST_METHOD" ) == 0 )
	{
		cout << "No REQUEST_METHOD, must be running in DOS mode" << endl;
		strcpy( InputData, "State=AK&OrderBy=CompanyName" );
		return;
	}
	if( strcmp( getenv("REQUEST_METHOD"), "POST" ) == 0 )
	{
		int InputLength = atoi( getenv("CONTENT_LENGTH") ); 
		fread( InputData, InputLength, 1, stdin ); 
	}
	else
		strcpy( InputData, getenv( "QUERY_STRING" ) );
}

int GetParam( const char * Name, char* Dest )
{
	*Dest='\0';
#define ToHex(Y) (Y>='0'&&Y<='9'?Y-'0':Y-'A'+10)
	char* pArg = strstr( InputData, Name );
	if( pArg )
	{
		pArg += strlen(Name);
		if( *pArg == '=' ) 
		{
			pArg++;
			while( *pArg && *pArg != '&' )
			{
				if( *pArg == '%' )
				{
					*Dest++ = ToHex(pArg[1]) * 16 + ToHex(pArg[2]);
					pArg += 3;
				}
				else
					*Dest++ = *pArg++;
			}
			*Dest = '\0';
			return(1);
		}
	}
	else
		cout << "Param " << Name << " not found<BR>" << endl;
	return(0);
}

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		cerr << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
	}
	else
	{
		// TODO: code your application's behavior here.
		char State[3] = "";
		char OrderBy[64]="";
		cout << "Content-type: text/html\n\n<HTML><BODY>" << endl;
		GetAllParams();
		GetParam( "State", State );
		GetParam( "OrderBy", OrderBy );

		ListCustomer( State, OrderBy );
		cout << "</BODY></HTML>" << endl;
	}

	return nRetCode;
}


